import serial
import time
import unittest
delaytime = 10
def atcmd(cmd,wait):
    print(cmd)
    n = com.write(cmd.encode());
    time.sleep(wait)
    str=com.readline();
    print(str)
    return str

com = serial.Serial('com11', 115200, timeout=20)


class TestATCommands(unittest.TestCase):
    def test_atcmd_log(self):
        at="+++\r\n"
        com.write(at.encode());
        time.sleep(1)
        at="AT+LOG=NULL\r\n"
        com.write(at.encode());
        
        time.sleep(1)
        com.read_all()
        self.assertEqual("+LOG=OK\r\n",bytes.decode(atcmd("AT+LOG=NULL\r\n",0)))
        time.sleep(1)
    
        self.assertEqual("+REBOOT=OK\r\n",bytes.decode(atcmd("AT+REBOOT\r\n",0)))
        time.sleep(1)
        

        
        while True:
          if bytes.decode(atcmd("AT+JOIN?\r\n", 0)) == "+JOIN=1\r\n":
             print("jion = 1")
             break
          else:
             print("jion = 0")
        
          time.sleep(3)
        self.assertEqual("+EXIT=OK\r\n",bytes.decode(atcmd("AT+EXIT\r\n",0)))
        time.sleep(1)
        
        at="+++\r\n"
        com.write(at.encode());
        time.sleep(0.2);
        at="123"
        com.write(at.encode());
        if bytes.decode(com.readline())== "OK\r\n":
          print("ERROR")
        time.sleep(1);
        at="123"
        com.write(at.encode());
        time.sleep(0.2);
        if bytes.decode(atcmd("+++\r\n", 0.5)) == "OK\r\n":
          print("ERROR")
        time.sleep(1);
        if bytes.decode(atcmd("++\r\n", 0.5)) == "OK\r\n":
          print("ERROR")
        time.sleep(1);
        if bytes.decode(atcmd("++++\r\n", 0.5)) == "OK\r\n":
          print("ERROR")
        time.sleep(1);
        if bytes.decode(atcmd("++4\r\n", 0.5)) == "OK\r\n":
          print("ERROR")
        time.sleep(1);
        if bytes.decode(atcmd("+++\n", 0.5)) == "OK\r\n":
          print("ERROR")
        time.sleep(1);
          
        if bytes.decode(atcmd("+++", 0.5)) == "OK\r\n":
          print("ERROR")
        time.sleep(1);
        if bytes.decode(atcmd("+++\r\n\n", 0.5)) == "OK\r\n":
          print("ERROR")
        time.sleep(1);
        if bytes.decode(atcmd("+++\r\n\r\n", 0.5)) == "OK\r\n":
          print("ERROR")
        time.sleep(1);
        print("END")
try:
    #先进入AT模式
    unittest.main(exit=False);

    
finally:
    com.close()