

    
import serial
import time
import unittest
snedAll = 0
com = serial.Serial('com11', 115200, timeout=20)
def atcmd(cmd,wait):
    global com
    print(cmd)
    n = com.write(cmd.encode());
    time.sleep(wait)
    str=com.readline();
    print(str)
    return str



class TestATCommands(unittest.TestCase):
    def test_atcmd_log(self):
        global com
        at="+++\r\n"
        com.write(at.encode())
        time.sleep(1)
        at="AT+LOG=NULL\r\n"
        com.write(at.encode())
        
        time.sleep(1)
        com.read_all()
        self.assertEqual("+LOG=OK\r\n",bytes.decode(atcmd("AT+LOG=NULL\r\n",0)))
        time.sleep(1)
    
        self.assertEqual("+REBOOT=OK\r\n",bytes.decode(atcmd("AT+REBOOT\r\n",0)))
        time.sleep(1)
        



        at="AT+BAUD=9600,8N1\r\n"
        com.write(at.encode())
        com.close()
        time.sleep(1)
        com = serial.Serial('com11', 9600, timeout=10)
        time.sleep(1)
        self.assertEqual("+BAUD=9600,8N1\r\n",bytes.decode(atcmd("AT+BAUD?\r\n",0)))
        print("9600 success")

        at="AT+BAUD=4800,8N1\r\n"
        com.write(at.encode())
        com.close()
        time.sleep(1)
        com = serial.Serial('com11', 4800, timeout=10)
        com.read_all()
        self.assertEqual("+BAUD=4800,8N1\r\n",bytes.decode(atcmd("AT+BAUD?\r\n",0)))
        print("4800 success")

        at="AT+BAUD=14400,8N1\r\n"
        com.write(at.encode())
        com.close()
        time.sleep(1)
        com = serial.Serial('com11', 14400, timeout=10)
        com.read_all()
        self.assertEqual("+BAUD=14400,8N1\r\n",bytes.decode(atcmd("AT+BAUD?\r\n",0)))
        print("14400 success")
        
        at="AT+BAUD=19200,8N1\r\n"
        com.write(at.encode())
        com.close()
        time.sleep(1)
        com = serial.Serial('com11', 19200, timeout=10)
        com.read_all()
        self.assertEqual("+BAUD=19200,8N1\r\n",bytes.decode(atcmd("AT+BAUD?\r\n",0)))
        print("19200 success")
        
        at="AT+BAUD=38400,8N1\r\n"
        com.write(at.encode())
        com.close()
        time.sleep(1)
        com = serial.Serial('com11', 38400, timeout=10)
        com.read_all()
        self.assertEqual("+BAUD=38400,8N1\r\n",bytes.decode(atcmd("AT+BAUD?\r\n",0)))
        print("38400 success")
        
        at="AT+BAUD=115200,8N1\r\n"
        com.write(at.encode())
        com.close()
        time.sleep(1)
        com = serial.Serial('com11', 115200, timeout=10)
        com.read_all()
        self.assertEqual("+BAUD=115200,8N1\r\n",bytes.decode(atcmd("AT+BAUD?\r\n",0)))
        print("115200 success")

try:
    unittest.main(exit=False)

    
finally:
    com.close()