import serial
import unittest
import time
delaytime = 5
com = serial.Serial('com11', 115200, timeout=20)
def atcmd(cmd):
    print(cmd)
    n = com.write(cmd.encode());
    str=com.readline();
    print(str)
    return str

class TestATCommands(unittest.TestCase):
    def test_atcmd_log(self):
        at="+++\r\n"
        com.write(at.encode())
        time.sleep(1)
        at="AT+LOG=NULL\r\n"
        com.write(at.encode());
        
        time.sleep(1)
        com.read_all()

        self.assertEqual("+REBOOT=OK\r\n",bytes.decode(atcmd("AT+REBOOT\r\n")))
        time.sleep(2)
        self.assertEqual("+DATARATE=OK\r\n",bytes.decode(atcmd("AT+DATARATE=0\r\n")))
        time.sleep(1)

        #等待入网成功
        while True:
          if bytes.decode(atcmd("AT+JOIN?\r\n")) == "+JOIN=1\r\n":
             print("jion = 1")
             break
          else:
             print("jion = 0")
        
          time.sleep(3)
        #self.assertEqual("+LOG=OK\r\n",bytes.decode(atcmd("AT+LOG=1\r\n",0)))
        time.sleep(1)
        CMD = open('.//202.txt')
        print ("CMD:%s" % (CMD))
        line = CMD.readline();
        lenData = len(line.encode())

    
        while line:
          com.write(line.encode());
          #com.write(line)
          line = CMD.readline();
          time.sleep(0.1);
          print (line.encode())
          lenData=lenData+len(line.encode())
          print (lenData)
    
try:
    #先进入AT模式
    unittest.main(exit=False);

    
finally:
    com.close()


