#ifndef __MODBUS_H
#define __MODBUS_H
#include <stdint.h>
#include "uartUSB.h"
#include "utils.h"

#define MODBUS_BYTEORDER_AB		0x01
#define MODBUS_BYTEORDER_BA		0x02
#define MODBUS_BYTEORDER_ABCD	0x03
#define MODBUS_BYTEORDER_DCBA	0x04
#define MODBUS_BYTEORDER_ERROR  0x07


#define DT_F      0x01 //浮点型
#define DT_U      0x02 //无符号
#define DT_S      0x03 //有符号
#define DT_O      0x04 //原始数据

extern uint8_t modbuslock;

int8_t execModbusItem(uint8_t i, uint8_t *rawdata, uint8_t *rawdatalen, float *retf);

#endif
