/*
 * pack.h
 *
 *  Created on: May 19, 2024
 *      Author: Administrator
 */

#ifndef SRC_PACK_H_
#define SRC_PACK_H_
#include "DFLora_At.h"
#include <stdio.h>
#include <stdbool.h>
#include "LmHandler.h"
#include "LoRaMac.h"
#include "region/Region.h"
#include "NvmDataMgmt.h"
#include "math.h"
#include "dfbc.h"
#include "modbus.h"


uint8_t packAdc(sHWMasks_t *appmask, uint8_t *buf);
uint8_t packCount(sHWMasks_t *appmask, uint8_t *buf);
uint8_t packCountN(sHWMasks_t *appmask, uint8_t *buf, uint8_t i);
uint8_t packIOIN(sHWMasks_t *appmask, uint8_t *buf);
uint8_t packIOINN(sHWMasks_t *appmask, uint8_t *buf, uint8_t i);
uint8_t packBattery(sHWMasks_t *appmask, uint8_t *buf);
uint8_t packIOOUT(sHWMasks_t *appmask, uint8_t *buf);
uint8_t packModbusN(sHWMasks_t *appmask, uint8_t *buf, uint8_t i);
int8_t execModbusItem(uint8_t i, uint8_t *retrawdata, uint8_t *retrawdatalen, float *retf);
#endif /* SRC_PACK_H_ */
