#include "CH58x_common.h"
#include "DFLora_At.h"
#ifndef __UARTUSB_H__
#define __UARTUSB_H__



extern volatile uint8_t transProFlag ;
extern volatile uint8_t tranTimerFlag;

VOID uartUsbInit();
UINT8 SendUartData(UINT8 *p_send_dat,UINT16 send_len);
UINT8 SendUSBData1(UINT8 *p_send_dat,UINT16 send_len);
UINT8 SendUSBData2(UINT8 *p_send_dat,UINT16 send_len);
void uart0Iint(uint32_t baud,uint8_t config);
void uart1Iint(uint32_t baud,uint8_t config);
uint8_t isUSBConnect();
void deepReset();
void rs485Flush();
void ttlFlush();
void transparentProcess();
#endif
