




#ifndef __DTULOG_H__
#define __DTULOG_H__

#include "DFLora_At.h"

#ifdef  FLASH_ROM_LOG

 #define LOG_BUFFER_SIZE 32    // 日志缓冲区大小
 #define MAX_LOG_LENGTH 32     // 日志的最大长度
typedef struct {
    char entries[LOG_BUFFER_SIZE][MAX_LOG_LENGTH + 1];
    int head;   // 缓冲区头部索引
    int tail;   // 缓冲区尾部索引
    int count;  // 日志条目计数
} LogBuffer;

extern LogBuffer logBuffer;


#elif defined (SPI_FLASH_LOG)

#else
#endif

void writeLog(const char* message, unsigned int systemTime);

#ifdef  FLASH_ROM_LOG

LogBuffer* queryLog();

#endif

void initLog();
void SDacceWrite();
void formatTime(unsigned int milliseconds, char* buffer);
void resetLog();
void closeFalse();
void openFalse();
void deletLogFile();
#endif
