/*
 * fatfs_usbd.h
 *
 *  Created on: 2022510
 *      Author: Administrator
 */

#include "ff.h"

#ifndef PACKAGE_FATFS_PORT_FATFS_USBD_H_
#define PACKAGE_FATFS_PORT_FATFS_USBD_H_

int USB_disk_status(void);
int USB_disk_initialize(void);
int USB_disk_read(uint8_t *buff, LBA_t sector, uint32_t count);
int USB_disk_write(const uint8_t *buff, LBA_t sector, uint32_t count);
int USB_disk_ioctl(uint8_t cmd, void *buff);

#endif /* PACKAGE_FATFS_PORT_FATFS_USBD_H_ */
