#ifndef __DFBC_VM_H__
#define __DFBC_VM_H__

#include "dfbc_defs.h"

/// @brief    analysis original bytecode
/// @param bc the interpreter context
/// @return   true if success
bool dfbc_vm_parse(btcd_t *bc);


/// @brief         call a bytecode function
/// @param bc      the interpreter context
/// @param bc      the virual machine context
/// @param fnAddr  function address
/// @param param   function parameters
void dfbc_vm_call(btcd_t *bc, venv_t *vm, uint32_t fnAddr, uint32_t *param);

#endif