import serial
import time
import unittest
delaytime = 10
def atcmd(cmd,wait):
    print(cmd)
    n = com.write(cmd.encode());
    time.sleep(wait)
    str=com.readline();
    print(str)
    return str

com = serial.Serial('com11', 115200, timeout=20)


class TestATCommands(unittest.TestCase):
    def test_atcmd_log(self):
        at="+++\r\n"
        com.write(at.encode());
        time.sleep(1)
        com.read_all()
        self.assertEqual("+LOG=OK\r\n",bytes.decode(atcmd("AT+LOG=NULL\r\n",0)))
        time.sleep(1)
    
        self.assertEqual("+REBOOT=OK\r\n",bytes.decode(atcmd("AT+REBOOT\r\n",0)))
        time.sleep(1)
        
        self.assertEqual("OK\r\n",bytes.decode(atcmd("+++\r\n",0)))
        time.sleep(1)
        
        while True:
          if bytes.decode(atcmd("AT+JOIN?\r\n", 0)) == "+JOIN=1\r\n":
             print("jion = 1")
             break
          else:
             print("jion = 0")
        
          time.sleep(3)
        for i in range(100):
          self.assertEqual("OK\r\n",bytes.decode(atcmd("+++\r\n",0)))
          time.sleep(1)
          self.assertEqual("+EXIT=OK\r\n",bytes.decode(atcmd("AT+EXIT\r\n",0)))
          time.sleep(1)
try:
    #先进入AT模式
    unittest.main(exit=False);

    
finally:
    com.close()