

    
import serial
import time
import unittest
snedAll = 0
def atcmd(cmd,wait):
    print(cmd)
    n = com.write(cmd.encode());
    time.sleep(wait)
    str=com.readline();
    print(str)
    return str

com = serial.Serial('com11', 115200, timeout=20)
def send_data_to_serial(data):
    global snedAll
    snedAll += len(data)
    com.write(data)  # 发送数据
    time.sleep(1)  # 等待延迟
    print(data)
    print(snedAll)
    
def set_send_rate(num_of_times):


    data_to_send = b"01234567"  # 要发送的数据
    for _ in range(num_of_times):
        send_data_to_serial(data_to_send)

class TestATCommands(unittest.TestCase):
    def test_atcmd_log(self):
        at="+++\r\n"
        com.write(at.encode())
        time.sleep(1)
        at="AT+LOG=NULL\r\n"
        com.write(at.encode())
        
        time.sleep(1)
        com.read_all()

        self.assertEqual("+REBOOT=OK\r\n",bytes.decode(atcmd("AT+REBOOT\r\n",0)))
        time.sleep(2)
        self.assertEqual("+DATARATE=OK\r\n",bytes.decode(atcmd("AT+DATARATE=0\r\n",0)))
        time.sleep(1)
        self.assertEqual("+UPLINKTYPE=OK\r\n",bytes.decode(atcmd("AT+UPLINKTYPE=UNCONFIRMED\r\n",0)))
        time.sleep(1)
        #等待入网成功
        while True:
          if bytes.decode(atcmd("AT+JOIN?\r\n", 0)) == "+JOIN=1\r\n":
             print("jion = 1")
             break
          else:
             print("jion = 0")
        
          time.sleep(3)
        self.assertEqual("+LOG=OK\r\n",bytes.decode(atcmd("AT+LOG=1\r\n",0)))
        time.sleep(1)
        set_send_rate(2150)  #以8B/s的速率发送数据到串口
try:
    #先进入AT模式
    unittest.main(exit=False);

    
finally:
    com.close()
