

#ifndef _CSV_H
#define _CSV_H

#include "DFLora_At.h"
#include <stdio.h>
#include <stdbool.h>

typedef struct{

 uint32_t timeStamp;
 float AI[2];
 uint32_t DI[4];

 uint16_t RS485[8];
 uint8_t upload;

}sCsvData_t;

void csvInit();
uint8_t flashWrite(uint8_t*buffer,uint32_t addr,uint16_t len);
void csvWrite(sCsvData_t csvData);

void changeUpload(uint32_t row,uint8_t upLoadFlag);

//要记录一下当前的行数和地址
uint8_t flashRead(uint8_t*buffer,uint32_t row,uint16_t len);
uint8_t csvItemToHex(uint32_t row,uint8_t *dataBuffer);
uint32_t getNextRetrans(uint32_t lastReRow);
uint8_t flashReadAddr(uint8_t*buffer,uint32_t addr,uint16_t len);
extern BOOL spiFlashWork;
#endif
