#ifndef _STATEMACHINE_H
#define _STATEMACHINE_H
#include "CH583SFR.h"
#include "CH58x_common.h"
typedef enum
{
    NT3H_IDLE,
    NT3H_NTAG,
    NT3H_HALT,
    NT3H_PTHRU_IDLE,
    NT3H_PTHRU_READ,
    NT3H_PTHRU_WRITE
}PTHRU_STATE ;

typedef enum
{
   TRANS_AT = 1,
   TRANS_UPGRADE =2,
   TRANS_UPGRADE_1 =3,
   TRANS_READCSV=4,
   TRANS_READCSV_1=5,
   TRANS_EXIT = 6
}sTransState_t ;
extern uint8_t ackDone ;
#define MASTER_ADDR 0x20
extern PTHRU_STATE state;

extern BOOL NT3HReady;

extern BOOL flagReady;
void nfcI2cInit(void);
void stateMachine(void);
PTHRU_STATE nfcCommand(uint8_t * command);
void nfcACK(uint8_t cmd ,uint8_t * ack,uint16_t len);
#endif
